### Method

# Panel Dock remove

#### Declaration [src]

    void
    panel_dock_remove (
      PanelDock* self,
      GtkWidget* widget
    )

#### Description [src]

Removes a widget from the dock. If `widget` is not a `DockChild`, then the closest `DockChild` parent is removed.

#### Parameters

`widget`

  Type: `GtkWidget`

  A `GtkWidget` to remove.

  The data is owned by the caller of the function.